/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jimys.ads.adengine.communication;

import org.objectweb.jimys.ads.adengine.Engine;
import org.objectweb.jimys.commons.probe.AbstractProbe;

import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;
import java.io.Serializable;


/**
 * A MessageDriven Bean that receives messages from the mediator with events to insert into the engine
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class JMSBean implements MessageDrivenBean, MessageListener {
    /**
     * Constructor
     */
    public JMSBean() {
        Engine.getInstance();
    }

    public void setMessageDrivenContext(MessageDrivenContext arg0) throws EJBException {
    }

    public void ejbRemove() throws EJBException {
        Engine.getInstance().clearEngine();
        Engine.getInstance().stopTimer();
    }

    /**
     * inserts a by the mediator receievd event into the engine
     *
     * @param arg0 the message received by the mediator
     */
    public void onMessage(Message arg0) {
        Serializable object = null;
        try {
            object = ((ObjectMessage) arg0).getObject();
        } catch (JMSException e1) {
            e1.printStackTrace();
        }
        AbstractProbe ap = (AbstractProbe) object;
        if (ap == null) {
            return;
        }
        Engine.getInstance().insertProbe(ap);
    }

    public void ejbCreate() throws EJBException {
    }

}
