/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */


package org.objectweb.jimys.ads.adengine.timer;

import org.objectweb.jimys.ads.adengine.Engine;

import javax.ejb.*;

/**
 * Timer Bean to fire all the rule of the engine
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class RuleFireTimerBean implements SessionBean, TimedObject {
    private SessionContext context;

    public RuleFireTimerBean() {
    }

    public void ejbCreate() throws CreateException {
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException {
        context = sessionContext;
    }

    public void ejbRemove() throws EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public TimerHandle start(long interval) {
        System.out.println("timer start");
        TimerService timerService = context.getTimerService();
        Timer timer = timerService.createTimer(0, interval, "created timer");
        return timer.getHandle();
    }

    public void ejbTimeout(Timer timer) {
        System.out.println("TimerSessionBean: ejbTimeout ");
        Engine.getInstance().fireAllRulesByTimerHandle(timer.getHandle());
    }
}
