/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.ads.adengine.web;

import org.objectweb.jimys.ads.adengine.Engine;
import org.objectweb.jimys.commons.configuration.Configuration;
import org.objectweb.jimys.commons.exceptions.ProblemException;
import org.objectweb.jimys.commons.rule.RuleHelper;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.util.Collection;

/**
 * Bean which allows to access the engine through a web session
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class EngineWebBean implements SessionBean {
    public EngineWebBean() {
    }

    public void ejbCreate() throws CreateException {
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException {
    }

    public void ejbRemove() throws EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public Configuration getConfiguration() throws EJBException {
        return Engine.getInstance().getConfig();
    }

    public Collection getRuleActivators() throws EJBException {
        return Engine.getInstance().getRuleActivators();
    }

    public void deactivateRule(String ruleset, String rulename) throws ProblemException {
        Engine.getInstance().deactivateRule(ruleset, rulename);
    }

    public void activateRule(String ruleset, String rulename) throws ProblemException {
        Engine.getInstance().activateRule(ruleset, rulename);
    }

    public void modifiyConfiguration(Configuration c) {
        Engine.getInstance().modifiyConfiguration(c);
    }

    public RuleHelper getRule(String ruleset, String rulename) throws ProblemException {
        return Engine.getInstance().getRule(ruleset, rulename);
    }

}
