/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jimys.ads.helper;

import org.objectweb.jimys.commons.clusterstatus.Status;
import org.objectweb.jimys.commons.probe.Admin;

import java.util.Iterator;

/**
 * Helper for the autonomous rules
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class AutonomousHelper {
    /**
     * this method helps to check if the admin attributes have the right status
     *
     * @param admin     admin probe with the different attributes
     * @param probeName the attribute to check
     * @param status    the status the attribute should have
     * @return true is same status
     */
    public static boolean isNotWorking(Admin admin, String probeName, String status) {
        Iterator it = admin.getAttributes().values().iterator();
        if (admin.isRemoveHost()) return false;
        boolean problem = false;
        while (it.hasNext()) {
            Status s = (Status) it.next();
            if (s.getIdentifierProbe().equals(probeName)) {
                if (!s.getStatus().equals(status)) {
                    problem = true;
                }
            }
        }
        return problem;
    }


}
