/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */


package org.objectweb.jimys.ads.helper;

import org.drools.IntegrationException;
import org.drools.io.RuleBaseLoader;
import org.xml.sax.SAXException;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * tests the syntax of a file with the ruleset an his rules
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class RuleBaseTester {
    public static void main(String[] args) {
        if (args.length == 0) {
            System.out.println("Need rule filename");
            return;
        }
        try {
            File file = new File(args[0]);
            FileInputStream fis = new FileInputStream(file);
            RuleBaseLoader.loadFromInputStream(fis);
            System.out.println("No errors found");
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IntegrationException e) {
            e.printStackTrace();
        } catch (SAXException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
