/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.cartography.entity;

import javax.ejb.*;

/**
 *
 * CartographyBean
 *
 * @author Georges Goebel, Marc Calvisi
 */

public abstract class CartographyBean implements EntityBean {
    public CartographyBean() {
    }

    public void setEntityContext(EntityContext entityContext) throws EJBException {
    }

    public void unsetEntityContext() throws EJBException {
    }

    public void ejbRemove() throws RemoveException, EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbLoad() throws EJBException {
    }

    public void ejbStore() throws EJBException {
    }

    public abstract Long getTime();

    public abstract void setTime(Long time);

    public abstract String getHostID();

    public abstract void setHostID(String hostID);

    public abstract String getProbeID();

    public abstract void setProbeID(String probeID);

    public abstract Integer getDeviceNbr();

    public abstract void setDeviceNbr(Integer deviceNbr);

    public abstract String getAttributeName();

    public abstract void setAttributeName(String attributeName);

    public abstract String getAttributeValue();

    public abstract void setAttributeValue(String attributeValue);

    public Object ejbCreate() throws CreateException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPostCreate() throws CreateException {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public abstract Long ejbSelectMaxTimeStamp(String hostname) throws FinderException;

    public Long ejbHomeSelectMaxTimeStamp(String hostname) throws FinderException {
        return this.ejbSelectMaxTimeStamp(hostname);
    }

}
