/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.cartography.entity;

import javax.ejb.EJBLocalObject;

/**
 *
 * LocalCartography
 *
 * @author Georges Goebel, Marc Calvisi
 */

public interface LocalCartography extends EJBLocalObject {

    /**
     * Getter for the timestamp
     * @return the timestamp
     */
    public Long getTime();

    /**
     * Setter for the timestamp
     * @param time The timestamp
     */
    public void setTime(Long time);

    /**
     * Getter for the host name
     * @return The hostname
     */
    public String getHostID();

    /**
     * Setter for the host name
     * @param hostID the host name
     */
    public void setHostID(String hostID);

    /**
     * Getter for the cartography probe identifier
     * @return The cartography probe identifier
     */
    public String getProbeID();

    /**
     * Setter for the cartography probe identifier
     * @param probeID The cartography probe identifier
     */
    public void setProbeID(String probeID);

    /**
     * Getter for the device number
     * @return The device number
     */
    public Integer getDeviceNbr();

    /**
     * Setter for the device number
     * @param deviceNbr The device number
     */
    public void setDeviceNbr(Integer deviceNbr);

    /**
     * Getter for the attribute name
     * @return The attribute name
     */
    public String getAttributeName();

    /**
     * Setter for the attribute name
     * @param attributeName The attribute name
     */
    public void setAttributeName(String attributeName);

    /**
     * Getter for the attribute value
     * @return The attribute value
     */
    public String getAttributeValue();

    /**
     * Setter for the attribute value
     * @param attributeValue The attribute value
     */
    public void setAttributeValue(String attributeValue);
}
