/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.result;

import javax.ejb.EJBLocalObject;
import java.util.Collection;

/**
 *
 * LocalResult
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalResult extends EJBLocalObject {
    /**
     * Getter for the identifier
     * As the real identifier is created by the container and that field is not
     * accessible, this field contains the the same value as generated by the container
     * @return The identifier
     */
    public String getId();

    /**
     * Setter for the identifier
     * @param id The identifier
     */
    public void setId(String id);

    /**
     * Getter for the timestamp. date.getTime()
     * @return The timestamp
     */
    public Long getTimeStamp();

    /**
     * Setter for the timestamp
     * @param timeStamp The timestamp
     */
    public void setTimeStamp(Long timeStamp);

    /**
     * Getter for the result message produced by the ruleengine
     * @return The message
     */
    public String getResultMessage();

    /**
     * Setter for the result message produced by the ruleengine
     * @param resultMessage
     */
    public void setResultMessage(String resultMessage);

    /**
     * Getter for the level of the message
     * See LevelHelper for valid levels
     * @return the level
     */
    public String getLevel();

    /**
     * Setter for the level
     * @param level the level
     */
    public void setLevel(String level);

    /**
     * The list of the related LocalResultProbes
     * @return Collection of the related LocalResultProbes
     */
    public Collection getResult1();

    /**
     * Setter for the related LocalResultProbes
     * @param result1 Collection of the related LocalResultProbes
     */
    public void setResult1(Collection result1);

    /**
     * Getter for the name of the ruleset
     * @return the ruleset
     */
    public String getRuleSet();

    /**
     * Setter for the name of the ruleset
     * @param ruleSet the ruleset
     */
    public void setRuleSet(String ruleSet);

    /**
     * Getter for the name of the rule
     * @return The rulename
     */
    public String getRule();

    /**
     * Setter for the rule name
     * @param rule The rule name
     */
    public void setRule(String rule);
}
