/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.result;

import javax.ejb.*;
import java.util.Collection;

/**
 *
 * ResultBean
 *
 * @author Georges Goebel, Marc Calvisi
 */
public abstract class ResultBean implements EntityBean {
    public ResultBean() {
    }

    public void setEntityContext(EntityContext entityContext) throws EJBException {
    }

    public void unsetEntityContext() throws EJBException {
    }

    public void ejbRemove() throws RemoveException, EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbLoad() throws EJBException {
    }

    public void ejbStore() throws EJBException {
    }

    public abstract String getId();

    public abstract void setId(String id);

    public abstract Long getTimeStamp();

    public abstract void setTimeStamp(Long timeStamp);

    public abstract String getResultMessage();

    public abstract void setResultMessage(String resultMessage);

    public abstract String getLevel();

    public abstract void setLevel(String level);

    public abstract Collection getResult1();

    public abstract void setResult1(Collection result1);

    public Object ejbCreate() throws CreateException {
        return null;
    }

    public void ejbPostCreate() throws CreateException {
    }

    public abstract String getRuleSet();

    public abstract void setRuleSet(String ruleSet);

    public abstract String getRule();

    public abstract void setRule(String rule);

    public abstract Collection ejbSelectRule() throws FinderException;

    public Collection ejbHomeSelectRule() throws FinderException {
        return this.ejbSelectRule();
    }
}
