/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.resultProbe;

import org.objectweb.jimys.dbConnection.entity.result.LocalResult;
import org.objectweb.jimys.dbConnection.entity.resultProbeName.LocalResultProbeName;

import javax.ejb.EJBLocalObject;

/**
 *
 * LocalResultProbe
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalResultProbe extends EJBLocalObject {
    /**
     * Getter for the identifier
     * As the real identifier is created by the container and that field is not
     * accessible, this field contains the the same value as generated by the container
     * @return The identifier
     */
    public String getId();

    /**
     * Setter for the identifier
     * @param id The identifier
     */
    public void setId(String id);

    /**
     * Getter for the value of the attribute
     * @return The attribute value
     */
    public String getAttributeValue();

    /**
     * Setter for the value of the attribute
     * @param attributeValue The attribute value
     */
    public void setAttributeValue(String attributeValue);

    /**
     * Getter for the related LocalResult
     * @return The local result
     */
    public LocalResult getResult();

    /**
     * Setter for the related LocalResult
     * @param result The local result
     */
    public void setResult(LocalResult result);

    /**
     * Getter for the timestamp. date.getTime()
     * @return the timestamp
     */
    public Long getTimestamp();

    /**
     * Setter for the timestamp. date.getTime()
     * @param timestamp the timestamp
     */
    public void setTimestamp(Long timestamp);

    /**
     * Getter for the probename
     * @return The probename
     */
    public LocalResultProbeName getResultProbeName();

    /**
     * Setter for the probename
     * @param resultProbeName The probename
     */
    public void setResultProbeName(LocalResultProbeName resultProbeName);
}
