/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.resultProbe;

import org.objectweb.jimys.dbConnection.entity.result.LocalResult;
import org.objectweb.jimys.dbConnection.entity.resultProbeName.LocalResultProbeName;

import javax.ejb.*;
import java.util.Collection;

/**
 *
 * ResultProbeBean
 *
 * @author Georges Goebel, Marc Calvisi
 */
public abstract class ResultProbeBean implements EntityBean {
    public ResultProbeBean() {
    }

    public void setEntityContext(EntityContext entityContext) throws EJBException {
    }

    public void unsetEntityContext() throws EJBException {
    }

    public void ejbRemove() throws RemoveException, EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbLoad() throws EJBException {
    }

    public void ejbStore() throws EJBException {
    }

    public abstract String getId();

    public abstract void setId(String id);

    public abstract String getAttributeValue();

    public abstract void setAttributeValue(String attributeValue);

    public abstract LocalResult getResult();

    public abstract void setResult(LocalResult result);

    public String ejbCreate() throws CreateException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPostCreate() throws CreateException {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public abstract Collection ejbSelectAllAttributesOfARule(String rulename) throws FinderException;

    public Collection ejbHomeSelectAllAttributesOfARule(String rulename) throws FinderException {
        return this.ejbSelectAllAttributesOfARule(rulename);
    }

    public abstract Collection ejbSelectAllDistinctProbes() throws FinderException;

    public Collection ejbHomeSelectAllDistinctProbes() throws FinderException {
        return this.ejbSelectAllDistinctProbes();
    }

    public abstract Collection ejbSelectAllDistinctProbeAttributes(String probeName) throws FinderException;

    public Collection ejbHomeSelectAllDistinctProbeAttributes(String probeName) throws FinderException {
        return this.ejbSelectAllDistinctProbeAttributes(probeName);
    }

    public abstract Long getTimestamp();

    public abstract void setTimestamp(Long timestamp);

    public abstract LocalResultProbeName getResultProbeName();

    public abstract void setResultProbeName(LocalResultProbeName resultProbeName);
}
