/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.resultProbeName;

import javax.ejb.EJBLocalObject;
import java.util.Collection;

/**
 * @author Georges Goebel, Marc Calvisi
 * The PK is composed of the fileds (probeIdentifier, attributeName)
 */
public interface LocalResultProbeName extends EJBLocalObject {
    /**
     * Getter for the probe identifier
     * @return The probe identifier
     */
    public String getProbeIdentifier();

    /**
     * Setter for the probe identifier
     * @param probeIdentifier The probe identifier
     */
    public void setProbeIdentifier(String probeIdentifier);

    /**
     * Getter for the attribute name
     * @return The attribute name
     */
    public String getAttributeName();

    /**
     * Setter for the attribute name
     * @param attributeName The attribute name
     */
    public void setAttributeName(String attributeName);

    /**
     * Getter for the related ResultProbeValues
     * @return Collection of the related ResultProbeValues
     */
    public Collection getResultProbeValues();

    /**
     * Setter for the related ResultProbeValues
     * @param resultProbeValues Collection of the related ResultProbeValues
     */
    public void setResultProbeValues(Collection resultProbeValues);
}
