/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.resultProbeName;

import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;
import javax.ejb.CreateException;
import java.util.Collection;

/**
 *
 * LocalResultProbeNameHome
 *
 * @author Georges Goebel, Marc Calvisi
 */

public interface LocalResultProbeNameHome extends EJBLocalHome {
    /**
     * EJB PK finder
     * @param key The PK to search for
     * @return The LocalResultProbeName associated to the PK
     * @throws FinderException
     */
    public LocalResultProbeName findByPrimaryKey(ResultProbeNamePK key) throws FinderException;

    /**
     * Ejb create
     * @param key The PK of the new Object to create
     * @return The new created object
     * @throws CreateException
     */
    public LocalResultProbeName create (ResultProbeNamePK key) throws CreateException;

    /**
     * Selects all the different probe names
     * @return Collection (string) of all the different probe names
     * @throws FinderException
     */
    public Collection selectAllDistinctProbes() throws FinderException;

    /**
     * Select all the different attributenames for a given probe name
     * @param probeName The probe name
     * @return Collection (string) of all he different sttributenames
     * @throws FinderException
     */
    public Collection selectAllDistinctProbeAttributes(String probeName) throws FinderException;

}
