/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.entity.resultProbeName;

import java.io.Serializable;

/**
 *
 * ResultProbeNamePK
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ResultProbeNamePK implements Serializable {
    public String probeIdentifier;
    public String attributeName;

    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final ResultProbeNamePK that = (ResultProbeNamePK) o;

        if (attributeName != null ? !attributeName.equals(that.attributeName) : that.attributeName != null) return false;
        if (probeIdentifier != null ? !probeIdentifier.equals(that.probeIdentifier) : that.probeIdentifier != null) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = (probeIdentifier != null ? probeIdentifier.hashCode() : 0);
        result = 29 * result + (attributeName != null ? attributeName.hashCode() : 0);
        return result;
    }
}
