/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.hibernate.beans;

import java.util.Set;
import java.io.Serializable;

/**
 *
 * HPumpStatus
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class HPumpStatus implements Serializable, Comparable {
    private String identifier = null;
    private String status = null;
    private String timestamp = null;

    private HHostStatus host = null;
    private Set probes = null;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public HHostStatus getHost() {
        return host;
    }

    public void setHost(HHostStatus host) {
        this.host = host;
    }

    public Set getProbes() {
        return probes;
    }

    public void setProbes(Set probes) {
        this.probes = probes;
    }

    public int compareTo(Object o) {
        if (o instanceof HPumpStatus) {
            HPumpStatus d = (HPumpStatus)o;
            if ((d.getIdentifier() != null) && (this.getIdentifier() != null)) {
                return d.getIdentifier().compareTo(this.getIdentifier());
            } else {
                return d.hashCode() - this.hashCode();
            }
        }
        return 0;
    }

}
