/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.session;

import org.objectweb.jimys.dbConnection.valueObjects.ResultValueObject;
import org.objectweb.jimys.commons.cartography.Cartography;
import org.objectweb.jimys.commons.clusterstatus.ClusterStatus;

import javax.ejb.EJBLocalObject;
import java.util.Collection;

/**
 *
 * LocalDBManager
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalDBManager extends EJBLocalObject {
    public void addResult(ResultValueObject rvo, Collection resultProbeValues);

    public Collection findAllResults();

    public Collection findAllResults(Integer numberOfRows);

    public Collection findAllResultsAfterTime(String time);

    public Collection monitorRule(String ruleset, String rule);

    public Collection monitorRule(String ruleset, String rule, String begintime);

    public Collection findAllAttributes(String attributeName, String probeIdentifier);

    public Collection findAllAttributes(String attributeName, String probeIdentifier, String timestamp);

    public Collection findRule();

    public Collection findAttributesForARule(String rulename);

    public Collection findAllDistinctProbeIdentifier();

    public Collection findAllDistinctProbeAttributes(String probeName);

    public Collection findAllResultsWithLevel(String level);

    public Collection findAllResultsWithLevel(String level, String probeidentifier);

    public void addClusterStatus(ClusterStatus clusterStatus);

    public ClusterStatus getLastClusterStatus(String identifier);

    public Collection getClusterNames();

    public Collection findProbeWithStatus(String query, String level);

    public void changeLevel(String ResultId, String level);

    public void clearAllTables();

    public void addCartography(Cartography carthography);

    public Collection getCartography(String hostname);

     public void clearTimePeriod(long start, long end);
}
