/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.cluster;

import javax.ejb.*;
import java.util.Collection;

/**
 *
 * ClusterStatusBean
 *
 * @author Georges Goebel, Marc Calvisi
 */
public abstract class ClusterStatusBean implements EntityBean {
    public ClusterStatusBean() {
    }

    public void setEntityContext(EntityContext entityContext) throws EJBException {
    }

    public void unsetEntityContext() throws EJBException {
    }

    public void ejbRemove() throws RemoveException, EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbLoad() throws EJBException {
    }

    public void ejbStore() throws EJBException {
    }

    public abstract String getName();

    public abstract void setName(String name);

    public abstract String getStatus();

    public abstract void setStatus(String status);

    public abstract String getTimestamp();

    public abstract void setTimestamp(String timestamp);

    public abstract Collection getHosts();

    public abstract void setHosts(Collection hosts);

    public Object ejbCreate() throws CreateException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPostCreate() throws CreateException {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public abstract String ejbSelectMaxTimeStamp(String name) throws FinderException;

    public String ejbHomeSelectMaxTimeStamp(String name) throws FinderException {
        return this.ejbSelectMaxTimeStamp(name);
    }


    public abstract Collection ejbSelectDistinctClusterName() throws FinderException;

    public Collection ejbHomeSelectDistinctClusterName() throws FinderException {
        return this.ejbSelectDistinctClusterName();
    }


    public abstract String getId();

    public abstract void setId(String id);
}
