/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.cluster;

import javax.ejb.EJBLocalObject;
import java.util.Collection;

/**
 *
 * LocalClusterStatus
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalClusterStatus extends EJBLocalObject {

    /**
     * Getter for the cluster name
     * @return The cluster name
     */
    public String getName();

    /**
     * Setter for the cluster name
     * @param name The cluster name
     */
    public void setName(String name);

    /**
     * Getter for the cluster status
     * @return The cluster status
     */
    public String getStatus();

    /**
     * Setter for the cluster status
     * @param status The cluster status
     */
    public void setStatus(String status);

    /**
     * Getter for the timestamp
     * @return The timestamp
     */
    public String getTimestamp();

    /**
     * Setter for the timestamp
     * @param timestamp The timestamp
     */
    public void setTimestamp(String timestamp);

    /**
     * Getter for the Hosts of the cluster
     * @return The HostStatus of the cluster
     */
    public Collection getHosts();

    /**
     * Setter for the Hosts of the cluster
     * @param hosts The HostStatus of the cluster
     */
    public void setHosts(Collection hosts);

    /**
     * Getter for the id
     * @return The id
     */
    public String getId();

    /**
     * Setter for the id
     * @param id The id
     */
    public void setId(String id);
}
