/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.domain;

import java.io.Serializable;

/**
 *
 * DomainStatusPK
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class DomainStatusPK implements Serializable {
    public String timestamp;
    public String identifier;

    public boolean equals(Object o) {
        if (this == o) return true;
        if (getClass() != o.getClass()) return false;

        final DomainStatusPK domainStatusPK = (DomainStatusPK) o;

        if (identifier != null ? !identifier.equals(domainStatusPK.identifier) : domainStatusPK.identifier != null) return false;
        if (timestamp != null ? !timestamp.equals(domainStatusPK.timestamp) : domainStatusPK.timestamp != null) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = (timestamp != null ? timestamp.hashCode() : 0);
        result = 29 * result + (identifier != null ? identifier.hashCode() : 0);
        return result;
    }
}
