/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.host;

import org.objectweb.jimys.dbConnection.status.entity.cluster.LocalClusterStatus;
import org.objectweb.jimys.dbConnection.status.entity.pump.LocalPumpStatus;

import javax.ejb.*;
import java.util.Collection;

/**
 *
 * HostStatusBean
 *
 * @author Georges Goebel, Marc Calvisi
 */
public abstract class HostStatusBean implements EntityBean {
    public HostStatusBean() {
    }

    public void setEntityContext(EntityContext entityContext) throws EJBException {
    }

    public void unsetEntityContext() throws EJBException {
    }

    public void ejbRemove() throws RemoveException, EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void ejbLoad() throws EJBException {
    }

    public void ejbStore() throws EJBException {
    }

    public abstract String getIdentifier();

    public abstract void setIdentifier(String identifier);

    public abstract String getStatus();

    public abstract void setStatus(String status);

    public abstract String getTimestamp();

    public abstract void setTimestamp(String timestamp);

    public abstract LocalClusterStatus getCluster();

    public abstract void setCluster(LocalClusterStatus cluster);

    public abstract LocalPumpStatus getPump();

    public abstract void setPump(LocalPumpStatus pump);

    public abstract Collection getDomain();

    public abstract void setDomain(Collection domain);

    public String ejbCreate(String timeStamp, String identifier) throws CreateException {
        setTimestamp(timeStamp);
        setIdentifier(identifier);
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void ejbPostCreate(String timeStamp, String identifier) throws CreateException {
        //To change body of implemented methods use File | Settings | File Templates.
    }
}
