/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.host;

import org.objectweb.jimys.dbConnection.status.entity.cluster.LocalClusterStatus;
import org.objectweb.jimys.dbConnection.status.entity.pump.LocalPumpStatus;

import javax.ejb.EJBLocalObject;
import java.util.Collection;

/**
 *
 * LocalHostStatus
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalHostStatus extends EJBLocalObject {

    /**
     * Getter for the identifier
     * @return The identifier
     */
    public String getIdentifier();

    /**
     * Setter for the identifier
     * @param identifier The identifier
     */
    public void setIdentifier(String identifier);

    /**
     * Getter for the status
     * @return The status
     */
    public String getStatus();

    /**
     * Setter  for the status
     * @param status The status
     */
    public void setStatus(String status);

    /**
     * Getter for the timestamp
     * @return The timestamp
     */
    public String getTimestamp();

    /**
     * Setter  for the timestamp
     * @param timestamp The timestamp
     */
    public void setTimestamp(String timestamp);

    /**
     * Getter for the related clusterstatus
     * @return The clusterstatus
     */
    public LocalClusterStatus getCluster();

    /**
     * Setter for the related clusterstatus
     * @param cluster The clusterstatus
     */
    public void setCluster(LocalClusterStatus cluster);

    /**
     * Getter for the related pumpstatus
     * @return The pumpstatus
     */
    public LocalPumpStatus getPump();

    /**
     * Setter for the related pumpstatus
     * @param pump The pumpstatus
     */
    public void setPump(LocalPumpStatus pump);

    /**
     * Getter for the domainstatus
     * @return The domainstatus
     */
    public Collection getDomain();

    /**
     * Setter for the domainstatus
     * @param domain The domainstatus
     */
    public void setDomain(Collection domain);
}
