/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.status.entity.instance;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 *
 * LocalInstanceStatusHome
 *
 * @author Georges Goebel, Marc Calvisi
 */
public interface LocalInstanceStatusHome extends EJBLocalHome {

    /**
     * EJB find PK : The PK is composed of timeStamp and identifier
     * @param key The PK
     * @return the related LocalInstanceStatus
     * @throws FinderException
     */
    public LocalInstanceStatus findByPrimaryKey(InstanceStatusPK key) throws FinderException;

    /**
     * EJB create
     * @param timeStamp The timestamp
     * @param identifier The identifier
     * @return The new LocalInstanceStatus
     * @throws CreateException
     */
    public LocalInstanceStatus create(String timeStamp, String identifier) throws CreateException;
}
