/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.valueObjects;

import java.io.Serializable;

/**
 *
 * ResultProbeValueObject
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ResultProbeValueObject implements Serializable {
    private String probeIdentifier = null;
    private String attributeName = null;
    private String attributeValue = null;
    private String id = null;
    private Long timestamp = null;

    /**
     * Getter for the probeidentifier
     * @return The probeidentifier
     */
    public String getProbeIdentifier() {
        return probeIdentifier;
    }

    /**
     * Setter for the probeidentifier
     * @param probeIdentifier the probeidentifier
     */
    public void setProbeIdentifier(String probeIdentifier) {
        this.probeIdentifier = probeIdentifier;
    }

    /**
     * Getter for the attributename
     * @return The attributename
     */
    public String getAttributeName() {
        return attributeName;
    }

    /**
     * Setter for the attributename
     * @param attributeName The attributename
     */
    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    /**
     * Getter for the attributevalue
     * @return The attributevalue
     */
    public String getAttributeValue() {
        return attributeValue;
    }

    /**
     * Setter for the attributevalue
     * @param attributeValue The attributevalue
     */
    public void setAttributeValue(String attributeValue) {
        this.attributeValue = attributeValue;
    }

    /**
     * Getter for the identifier in DB
     * @return The identifier
     */
    public String getId() {
        return id;
    }

    /**
     * Setter for the identifier in DB
     * @param id The identifier
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * Getter for the timestamp
     * @return The timestamp
     */
    public Long getTimestamp() {
        return timestamp;
    }

    /**
     * Setter for the timestamp
     * @param timestamp the timestamp
     */
    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
