/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.valueObjects;

import java.io.Serializable;
import java.util.Collection;

/**
 *
 * ResultValueObject
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ResultValueObject implements Serializable {
    private Long timeStamp = null;
    private String resultMessage = null;
    private String level = null;
    private String id = null;
    private String rule = null;
    private String ruleSet = null;

    private Collection resultProbes = null;

    /**
     * Getter for the timestamp. date.getTime()
     * @return The timestap
     */
    public Long getTimeStamp() {
        return timeStamp;
    }

    /**
     * Setter for the timestamp
     * @param timeStamp The timestamp
     */
    public void setTimeStamp(Long timeStamp) {
        this.timeStamp = timeStamp;
    }

    /**
     * Getter for the ResultMessage
     * @return The resultmessage
     */
    public String getResultMessage() {
        return resultMessage;
    }

    /**
     * Setter for the ResultMessage
     * @param resultMessage the resultmessage
     */
    public void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

    /**
     * Getter for the level. See LevelHelper for valid Levels
     * @return The level
     */
    public String getLevel() {
        return level;
    }

    /**
     * Setter for the level. See LevelHelper for valid Levels
     * @param level The level
     */
    public void setLevel(String level) {
        this.level = level;
    }

    /**
     * Getter for the related resultprobes (ResultProbeValueObject)
     * @return the collection of the related ResultProbeValueObjects
     */
    public Collection getResultProbes() {
        return resultProbes;
    }

    /**
     * Setter for the related resultprobes (ResultProbeValueObject)
     * @param resultProbes the collection of the related ResultProbeValueObjects
     */
    public void setResultProbes(Collection resultProbes) {
        this.resultProbes = resultProbes;
    }

    /**
     * Getter for the identifier in the DB
     * @return The identifier
     */
    public String getId() {
        return id;
    }

    /**
     * Setter for the identifier in the DB
     * @param id The identifier
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * Getter for the rulename
     * @return The rule name
     */
    public String getRule() {
        return rule;
    }

    /**
     * Setter for the rulename
     * @param rule the rule name
     */
    public void setRule(String rule) {
        this.rule = rule;
    }

    /**
     * Getter for the rule set name
     * @return The rule set name
     */
    public String getRuleSet() {
        return ruleSet;
    }

    /**
     * Setter for the rule set name
     * @param ruleSet The rule set name
     */
    public void setRuleSet(String ruleSet) {
        this.ruleSet = ruleSet;
    }
}
