/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.rar.drools;

import org.drools.RuleBase;
import org.drools.WorkingMemory;

import javax.resource.ResourceException;
import javax.resource.cci.*;
import java.io.Serializable;

/**
 *
 * DroolsConnection
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class DroolsConnection implements Connection, Serializable {

    private RuleBase ruleBase = null;
    private WorkingMemory workingMemory = null;

    protected DroolsConnection() {
    }


    public Interaction createInteraction() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public LocalTransaction getLocalTransaction() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public ConnectionMetaData getMetaData() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public ResultSetInfo getResultSetInfo() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void close() throws ResourceException {
        if (workingMemory != null) {
            workingMemory.clearAgenda();
            workingMemory = null;
        }
    }


    public Object getWorkingMemory () {
        return workingMemory;
    }

    public Object getRuleBase () {
        return ruleBase;
    }

    public void initWorkingMemory(RuleBase ruleBase){
        this.ruleBase = ruleBase;
        workingMemory = this.ruleBase.newWorkingMemory( );
    }


}
