/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.rar.drools;

import javax.naming.NamingException;
import javax.naming.Reference;
import javax.resource.ResourceException;
import javax.resource.cci.*;

/**
 *
 * DroolsConnectionFactory
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class DroolsConnectionFactory implements ConnectionFactory {

    private Reference ref = null;

    public DroolsConnectionFactory() {
    }

    public Connection getConnection() throws ResourceException {
        return new DroolsConnection();
    }

    public Connection getConnection(ConnectionSpec connectionSpec) throws ResourceException {
        return new DroolsConnection();
    }

    public RecordFactory getRecordFactory() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public ResourceAdapterMetaData getMetaData() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void setReference(Reference reference) {
        ref = reference;
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public Reference getReference() throws NamingException {
        return ref;  //To change body of implemented methods use File | Settings | File Templates.
    }
}
