/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.rar.drools;

import javax.resource.ResourceException;
import javax.resource.spi.*;
import javax.security.auth.Subject;
import javax.transaction.xa.XAResource;
import java.io.PrintWriter;

/**
 *
 * DroolsManagedConnection
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class DroolsManagedConnection implements ManagedConnection {

    private PrintWriter logWriter = null;

    public Object getConnection(Subject subject, ConnectionRequestInfo connectionRequestInfo) throws ResourceException {
        return new DroolsConnection();
    }

    public void destroy() throws ResourceException {
    }

    public void cleanup() throws ResourceException {
    }

    public void associateConnection(Object object) throws ResourceException {
    }

    public void addConnectionEventListener(ConnectionEventListener connectionEventListener) {
    }

    public void removeConnectionEventListener(ConnectionEventListener connectionEventListener) {
    }

    public XAResource getXAResource() throws ResourceException {
        throw new ResourceException("No XA Supported");
    }

    public LocalTransaction getLocalTransaction() throws ResourceException {
        throw new ResourceException("No LocalTransaction Supported");
    }

    public ManagedConnectionMetaData getMetaData() throws ResourceException {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void setLogWriter(PrintWriter printWriter) throws ResourceException {
        this.logWriter = printWriter;
    }

    public PrintWriter getLogWriter() throws ResourceException {
        return logWriter;  //To change body of implemented methods use File | Settings | File Templates.
    }
}
