/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.rar.drools;

import javax.resource.ResourceException;
import javax.resource.spi.ConnectionManager;
import javax.resource.spi.ConnectionRequestInfo;
import javax.resource.spi.ManagedConnection;
import javax.resource.spi.ManagedConnectionFactory;
import javax.security.auth.Subject;
import java.io.PrintWriter;
import java.util.Set;
/**
 *
 * DroolsManagedConnectionFactory
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class DroolsManagedConnectionFactory implements ManagedConnectionFactory {

    private PrintWriter printWriter = null;

    public Object createConnectionFactory(ConnectionManager connectionManager) throws ResourceException {
        return new DroolsConnectionFactory();  //To change body of implemented methods use File | Settings | File Templates.
   }

    public Object createConnectionFactory() throws ResourceException {
        return new DroolsConnectionFactory();  //To change body of implemented methods use File | Settings | File Templates.
    }

    public ManagedConnection createManagedConnection(Subject subject, ConnectionRequestInfo connectionRequestInfo) throws ResourceException {
        return new DroolsManagedConnection();  //To change body of implemented methods use File | Settings | File Templates.
    }

    public ManagedConnection matchManagedConnections(Set set, Subject subject, ConnectionRequestInfo connectionRequestInfo) throws ResourceException {
        return new DroolsManagedConnection();  //To change body of implemented methods use File | Settings | File Templates.
    }

    public void setLogWriter(PrintWriter printWriter) throws ResourceException {
        this.printWriter = printWriter;
    }

    public PrintWriter getLogWriter() throws ResourceException {
        return this.printWriter;
    }
}
