/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/


package org.objectweb.jimys.commons.cartography;

import org.objectweb.jimys.commons.probe.AbstractProbe;

/**
*
* Represents a memory in the cartography
*
* @author Georges Goebel, Marc Calvisi
*/
public class CartoMemory extends AbstractProbe {
     /**
     * Constructor
     * @param timeStamp timestamp of the probe
     * @param identifier identifier of the probe
     */
    public CartoMemory(long timeStamp, String identifier) {
        super(timeStamp, identifier);
    }


    /**
     * Returns an attribute of this probe
     * @param key attributeName
     * @return s String attributeValue or "not_found" if attributeName does not exist
     */
    public Object getAttributeByKey(String key) {
        String value = (String) this.attributes.get(key);
        if (value != null) {
            return value;
        }
        return "not_found";
    }

}


