/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/


package org.objectweb.jimys.commons.clusterstatus;
/**
*
* ProbeStatus
*
* @author Georges Goebel, Marc Calvisi
*/
public class ProbeStatus extends org.objectweb.jimys.commons.clusterstatus.AbstractStatus {
    /**
     * Constructor
     * @param identifier the identifier of the probe
     * @param status the status of the probe
     * @param timestamp the timestamp of the status
     */
    public ProbeStatus(String identifier, String status, long timestamp) {
        super(identifier, status, timestamp);
    }

    /**
     * get the identifier of the probe
     * @return the probe identifier
     */
    public String toString() {
        return getIdentifier();
    }

    /**
     * get the name and the status of the probe
     * @return the name and the colored status of the probe
     */
    public String getNameAndStatus() {
        return getIdentifier().substring(getIdentifier().lastIndexOf(";") + 1) + " : " + getHtmlStatus();
    }
}
