/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/


package org.objectweb.jimys.commons.exceptions;

/**
*
* ProblemException
*
* @author Georges Goebel, Marc Calvisi
*/
public class ProblemException extends Exception {
    /**
     * the message of the exception
     */
    private String message = "";

    /**
     * constructor
     * @param message the message containing the problem
     */
    public ProblemException(String message) {
        this.message = message;
    }

    /**
     * set the message of the exception to a value
     * @param message the problem
     */
    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * get the message with the problem of this exception
     * @return the problem message
     */
    public String getMessage() {
        return this.message;
    }
}
