/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/


package org.objectweb.jimys.commons.level;

import java.util.ArrayList;
import java.util.Collection;

/**
*
* LevelHelper
*
* @author Georges Goebel, Marc Calvisi
*/
public class LevelHelper {
    /**
     * level advice
     */
    public static String ADVICE = "advice";
    /**
     * level alert
     */
    public static String ALERT = "alert";
    /**
     * level warning
     */
    public static String WARNING = "warning";
    /**
     * level notification
     */
    public static String NOTIFICATION = "notification";
    /**
     * level note
     */
    public static String NOTE = "note";
    /**
     * level not specified
     */
    public static String NOT_SPECIFIED = "not_specified";
    /**
     * level monitoring
     */
    public static String MONITORING = "monitoring";
    /**
     * level cancel
     */
    public static String CANCEL = "cancel";

    /**
     * get all existant levels
     * @return all levels
     */
    public static Collection getLevels() {
        Collection col = new ArrayList();
        col.add(ADVICE);
        col.add(ALERT);
        col.add(WARNING);
        col.add(NOTIFICATION);
        col.add(NOTE);
        col.add(NOT_SPECIFIED);
        col.add(MONITORING);
        col.add(CANCEL);
        return col;
    }
}
