/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/

package org.objectweb.jimys.commons.probe;

import org.objectweb.jimys.commons.clusterstatus.Status;

import java.util.Hashtable;


/**
*
* Represehts the heartbeat
*
* @author Georges Goebel, Marc Calvisi
*/
public class Admin extends AbstractProbe {
    /**
     * boolean used by the rule engine if this host should be removed or not
     */
    boolean removeHost = false;

    /**
     * constructor
     * @param timeStamp the timestamp of this probe
     * @param identifier the identifier of the probe
     * @param attributes all attributes of this probe
     */
    public Admin(long timeStamp, String identifier, Hashtable attributes) {
        super(timeStamp, identifier, attributes);
    }

    /**
     * get an attribute value by indicating his key
     * @param key the key of an attribute
     * @return value of an attribute
     */
    public Object getAttributeByKey(String key) {
        return (Status) this.attributes.get(key);
    }

    /**
     * gets the value of remove host
     * @return true or false
     */
    public boolean isRemoveHost() {
        return removeHost;
    }

    /**
     * set the value of remove host
     * @param removeHost the new value
     */
    public void setRemoveHost(boolean removeHost) {
        this.removeHost = removeHost;
    }

}
