/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id:  $
* --------------------------------------------------------------------------
*/


package org.objectweb.jimys.commons.probe;

import java.util.Enumeration;
import java.util.Hashtable;

/**
*
* Represehts the Cpu
*
* @author Georges Goebel, Marc Calvisi
*/
public class Cpu extends AbstractProbe {
      /**
     * constructor
     * @param timeStamp the timestamp of this probe
     * @param identifier the identifier of the probe
     * @param attributes all attributes of this probe
     */
    public Cpu(long timeStamp, String identifier, Hashtable attributes) {
        super(timeStamp, identifier);
        Enumeration e = attributes.keys();
        while (e.hasMoreElements()) {
            String key = (String) e.nextElement();
            String value = (String) attributes.get(key);
            // System.out.println("key : "+key+" value : "+value);
            attributes.put(key, new Integer(value.substring(0, value.indexOf("."))));
        }
        this.setAttributes(attributes);
    }


}
