/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.ads.mediator.communication;

import java.io.Serializable;

/**
 * Contains the host and port of a pump
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class PumpAdr implements Serializable {
    /**
     * the host name of a pump
     */
    private String hostname = "";
    /**
     * the port of the host to connect to
     */
    private int port = -1;

    /**
     * constructor
      * @param hostname the host with the pump
     * @param port the port to connect to
     */
    public PumpAdr(String hostname, int port) {
        this.hostname = hostname;
        this.port = port;
    }

    /**
     * get the host name of the pump
     * @return host name
     */
    public String getHostname() {
        return this.hostname;
    }

    /**
     * get the port to connect to
     * @return the port
     */
    public int getPort() {
        return this.port;
    }


}
