/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.ads.mediator.communication;

import javax.management.NotificationListener;
import javax.management.Notification;
import javax.jms.*;

/**
 * Listener to add to a pump to receive messages
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class PumpConnectorListener implements NotificationListener {
    /**
     * the connector used to connect to a pump
     */
    private  PumpConnectorBean pcb = null;

    /**
     * constructor
     * @param pcb the bean that uses the listener
     */
    public PumpConnectorListener(PumpConnectorBean pcb) {
        this.pcb = pcb;
    }

    /**
     * the listener added to the pump
     * @param notification the notification with the data
     * @param object
     */
    public void handleNotification(Notification notification, Object object) {
        if (notification.getUserData() instanceof byte[]){
            pcb.sendProbeToParser( pcb.decompress((byte[]) notification.getUserData()));
        }else{
            pcb.sendProbeToParser((String)notification.getUserData());
        }
    }


}

