/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.ads.mediator.web;

import org.objectweb.jimys.ads.mediator.Mediator;
import org.objectweb.jimys.commons.exceptions.ProblemException;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.util.Collection;
import java.util.Properties;

/**
 * MediatorWebBean
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class MediatorWebBean implements SessionBean {
    public MediatorWebBean() {
    }

    public void ejbCreate() throws CreateException {
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException {
    }

    public void ejbRemove() throws EJBException {
    }

    public void ejbActivate() throws EJBException {
    }

    public void ejbPassivate() throws EJBException {
    }

    public void connectToPumps(String[] hosts) throws EJBException , ProblemException{
        Mediator.getInstance().connectToPumps(hosts);
    }


    public void connectToPump(String host, int port) throws EJBException, ProblemException {
        Mediator.getInstance().connectToPump(host, port);
    }


    public void disconnectFromPump(String host) throws EJBException, ProblemException {
        Mediator.getInstance().disconnectFromPump(host);
    }


    public void disconnectFromPumps() throws EJBException, ProblemException {
        Mediator.getInstance().disconnectFromPumps();
    }


    public void disconnectFromPumps(String[] hosts) throws EJBException, ProblemException {
        Mediator.getInstance().disconnectFromPumps(hosts);
    }


    public Collection getConnectedPumps() throws EJBException {
        return Mediator.getInstance().getConnectedPumps();
    }


    public Collection getAvailablePumps() throws EJBException {
        return Mediator.getInstance().getAvailablePumps();
    }


    public Collection checkCluster() throws EJBException {
        return Mediator.getInstance().checkCluster();
    }


    public Collection getRegisteredProbesFromPump(String hostname) throws EJBException, ProblemException {
        return Mediator.getInstance().getRegisteredProbesFromPump(hostname);
    }


    public Long getProbeSampleRate(String hostname, String probename) throws EJBException, ProblemException {
        return Mediator.getInstance().getProbeSampleRate(hostname, probename);
    }


    public String getPumpName() throws EJBException, ProblemException {
        return Mediator.getInstance().getPumpName();
    }


    public void setProbeSampleRate(String hostname, String probename, Long sampleRate) throws EJBException, ProblemException {
        Mediator.getInstance().setProbeSampleRate(hostname, probename, sampleRate);
    }


    public void connectToAll() throws EJBException, ProblemException {
        Mediator.getInstance().connectToAll();
    }


    public Properties getConfiguration() throws EJBException {
        return Mediator.getInstance().getConfiguration();
    }

}
