/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.ads.enginewebapp;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.ads.adengine.timer.RuleFireTimer;
import org.objectweb.jimys.ads.adengine.timer.RuleFireTimerHome;
import org.objectweb.jimys.ads.adengine.web.EngineWeb;
import org.objectweb.jimys.webapp.base.BaseAction;
import org.objectweb.jimys.commons.configuration.Configuration;

import javax.ejb.CreateException;
import javax.ejb.Handle;
import javax.ejb.TimerHandle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 *
 * ModifyConfigurationAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ModifyConfigurationAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("engineweb");
        EngineWeb ew = null;
        if (handle == null) {
            ew = this.createEngineWeb();
            if (ew == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("engineweb", ew.getHandle());

        } else {
            ew = (EngineWeb) handle.getEJBObject();

        }

        ModifyConfigurationForm mcf = (ModifyConfigurationForm) form;
        if (mcf.getModifyValue().equals("ruleFireTimer")) {
            TimerHandle td = (TimerHandle) getServlet().getServletContext().getAttribute("timer");
            if (td != null) {
                td.getTimer().cancel();
            }
            Configuration c = new Configuration();
            c.setTimeInterval(mcf.getRuleFireTimer());
            if (Long.parseLong(mcf.getRuleFireTimer()) > 0) {
                RuleFireTimerHome rfth = (RuleFireTimerHome) getServlet().getServletContext().getAttribute("rulefiretimerhome");
                try {
                    RuleFireTimer rft = rfth.create();
                    System.out.println("start new timer");
                    TimerHandle th = rft.start(Long.parseLong(mcf.getRuleFireTimer()));
                    getServlet().getServletContext().setAttribute("timer", th);
                    ew.modifiyConfiguration(c);
                    System.out.println("ok");
                } catch (CreateException e) {
                    e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
                }
            } else {
                getServlet().getServletContext().removeAttribute("timer");
            }
            ew.modifiyConfiguration(c);
        } else if (mcf.getModifyValue().equals("fireRuleAfter")) {
            Configuration c = new Configuration();
            c.setFireRuleAfter(mcf.getFireRuleAfter());
            ew.modifiyConfiguration(c);
        }else{
            return mapping.findForward("failure");
        }
        request.getSession().setAttribute("ruleActivator", ew.getRuleActivators());
        request.getSession().setAttribute("configuration", ew.getConfiguration());
        return mapping.findForward("success");
    }


}
