/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.ads.enginewebapp;

import org.apache.struts.action.*;
import org.objectweb.jimys.ads.adengine.web.EngineWeb;
import org.objectweb.jimys.webapp.base.BaseAction;
import org.objectweb.jimys.commons.exceptions.ProblemException;
import org.objectweb.jimys.commons.rule.RuleHelper;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 *
 * ShowRuleAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ShowRuleAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("engineweb");
        EngineWeb ew = null;
        if (handle == null) {
            ew = this.createEngineWeb();
            if (ew == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("engineweb", ew.getHandle());

        } else {
            ew = (EngineWeb) handle.getEJBObject();

        }
        request.getSession().removeAttribute("rulehelper");
        String ruleset = request.getParameter("ruleset");
        String rulename = request.getParameter("rulename");
        System.out.println("RuleSet :" + ruleset);
        System.out.println("Rulename :" + rulename);
        if (ruleset != null) {
            if (rulename != null) {
                try {
                    RuleHelper rh = ew.getRule(ruleset, ruleset + "_" + rulename);
                    request.getSession().setAttribute("rulehelper", rh);
                } catch (ProblemException e) {
                    ActionErrors errors = new ActionErrors();
                    errors.add("error.jimys.engine.show.rule", new ActionError(e.getMessage()));
                    this.saveErrors(request, errors);
                }
            }
        }
        return mapping.findForward("success");
    }
}
