/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.ads.mediatorwebapp;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseForm;

import javax.servlet.http.HttpServletRequest;

/**
 *
 * ConnectDifferentPumpsForm
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ConnectDifferentPumpsForm extends BaseForm {
    String[] hosts = null;
    boolean connectAll = false;

    public String[] getHosts() {
        return hosts;
    }

    public void setHosts(String[] hosts) {
        this.hosts = hosts;
    }

    public boolean isConnectAll() {
        return connectAll;
    }

    public void setConnectAll(boolean connectAll) {
        this.connectAll = connectAll;
    }

    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors ae = new ActionErrors();
        if (!this.isConnectAll()) {
            if (isBlank(getHosts())) {
                ae.add("error.jimys.mediator.connectToPump.hosts.not.empty", new ActionError("error.jimys.mediator.connectToPump.hosts.not.empty"));
            } else if (!areHostsValid(getHosts())) {
                ae.add("error.jimys.mediator.connectToPump.hosts.not.valid", new ActionError("error.jimys.mediator.connectToPump.hosts.not.valid"));
            }
        }
        return ae;
    }


}
