/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.ads.mediatorwebapp;

import org.objectweb.jimys.ads.mediator.web.MediatorWebHome;
import org.objectweb.jimys.ads.mediator.web.MediatorWeb;
import org.objectweb.jimys.commons.exceptions.ProblemException;

import javax.servlet.http.HttpServlet;
import javax.servlet.ServletException;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import javax.ejb.CreateException;
import java.io.InputStream;
import java.io.IOException;
import java.util.Properties;
import java.rmi.RemoteException;

/**
 *
 * InitialConnection
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class InitialConnection extends HttpServlet {
    public void init() throws ServletException {
        InputStream config = Thread.currentThread().getContextClassLoader().getResourceAsStream("dbmanager.properties");
        Properties props = new Properties();
        try {
            props.load(config);
        } catch (IOException e1) {
            e1.printStackTrace();
        }
        boolean startConnection = false;
        if (props.getProperty("mediator.connect.pump.startup")!=null){
            if (props.getProperty("mediator.connect.pump.startup").equals("true")) {
                startConnection = true;
            } else if (props.getProperty("mediator.connect.pump.startup").equals("false")){
                startConnection = false;
            }
        }
        if (startConnection){
            String factory = "";
            String url = "";
            if (props.getProperty("mediator.java.naming.factory.initial") != null) {
                factory = props.getProperty("mediator.java.naming.factory.initial");
            }

            if (props.getProperty("mediator.java.naming.provider.url") != null) {
                url = props.getProperty("mediator.java.naming.provider.url");
            }
            Properties properties = new Properties();
            properties.put("java.naming.factory.initial", factory);
            properties.put("java.naming.provider.url", url);
            try {
                Context initialContext = new InitialContext(properties);
                String ejbname = "";
                if (props.getProperty("mediator.web.session.name") != null) {
                    ejbname = props.getProperty("mediator.web.session.name");
                }
                MediatorWebHome mwhome = (MediatorWebHome) PortableRemoteObject.narrow(initialContext.lookup(ejbname), MediatorWebHome.class);
                MediatorWeb mediator = mwhome.create();
                mediator.connectToAll();
            } catch (NamingException e) {
                e.printStackTrace();
            } catch (CreateException e) {
                e.printStackTrace();
            } catch (RemoteException e) {
                e.printStackTrace();
            } catch (ProblemException e) {
                e.printStackTrace();
            }
        }
    }
}
