/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.ads.mediatorwebapp;

import org.apache.struts.action.*;
import org.objectweb.jimys.ads.mediator.web.MediatorWeb;
import org.objectweb.jimys.commons.exceptions.ProblemException;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 *
 * PumpDisconnectAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class PumpDisconnectAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("mediator");
        MediatorWeb mediator = null;
        if (handle == null) {
            mediator = this.createMediator();
            if (mediator == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("mediator", mediator.getHandle());
        } else {
            mediator = (MediatorWeb) handle.getEJBObject();
        }

        PumpDisconnectForm rdf = (PumpDisconnectForm) form;
        try {
            mediator.disconnectFromPump(rdf.getHost());
        } catch (ProblemException e) {
            ActionErrors errors = new ActionErrors();
            errors.add("error.jimys.mediator.disconnectFromPump", new ActionError("error.jimys.mediator.disconnectFromPump"));
            this.saveErrors(request, errors);
        }
        request.getSession().setAttribute("availablePumps", mediator.getAvailablePumps());
        request.getSession().setAttribute("connectedPumps", mediator.getConnectedPumps());
        return mapping.findForward("success");
    }
}