/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.cartography;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.ads.mediator.web.MediatorWeb;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 *
 * InitCartoAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class InitCartoAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("mediator");
        MediatorWeb mediator = null;
        if (handle == null) {
            mediator = this.createMediator();
            if (mediator == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("mediator", mediator.getHandle());
        } else {
            mediator = (MediatorWeb) handle.getEJBObject();
        }


        request.getSession().setAttribute("connectedPumps", mediator.getConnectedPumps());
        request.getSession().removeAttribute("carto");
        return mapping.findForward("success");
    }

}
