/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.chart;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;

/**
 *
 * SelectProbeAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectProbeAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        System.out.println("Property : " + request.getParameter("ok"));


        if (request.getParameter("ok") == null) {
            try {
                Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
                DBManager dbManager = null;
                if (handle == null) {
                    dbManager = this.createDBManager();
                    if (dbManager == null) {
                        return mapping.findForward("failure");
                    }
                    request.getSession().setAttribute("dbmanager", dbManager.getHandle());

                } else {
                    dbManager = (DBManager) handle.getEJBObject();
                }

                Collection rules = dbManager.findAllDistinctProbeIdentifier();
                request.getSession().setAttribute("probeList", rules);

                return mapping.findForward("success");
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        if (request.getParameter("ok").equals("Probe Selected")) {
            SelectProbeForm fo = (SelectProbeForm) form;
            Object rule = fo.getProbeList();
            if (rule != null) {
                try {
                    Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
                    DBManager dbManager = null;
                    if (handle == null) {
                        dbManager = this.createDBManager();
                        if (dbManager == null) {
                            return mapping.findForward("failure");
                        }
                        request.getSession().setAttribute("dbmanager", dbManager.getHandle());

                    } else {
                        dbManager = (DBManager) handle.getEJBObject();
                    }

                    Collection rules = dbManager.findAllDistinctProbeAttributes(rule.toString());
                    request.getSession().setAttribute("probeAttributeList", rules);
                    //request.getSession().setAttribute("probeIdentifier", rule.toString());
                    LinkedList selectedProbeList = null;
                    if (request.getSession().getAttribute("selectedProbeList") == null) {
                        selectedProbeList = new LinkedList();
                    } else {
                        selectedProbeList = (LinkedList) request.getSession().getAttribute("selectedProbeList");
                    }
                    selectedProbeList.add(rule.toString());
                    request.getSession().setAttribute("selectedProbeList", selectedProbeList);
                    return mapping.findForward("success");
                } catch (Exception e) {
                    e.printStackTrace();
                }


                return mapping.findForward("success");
            }
        }

        if (request.getParameter("ok").equals("Attribute Selected")) {
            SelectProbeForm fo = (SelectProbeForm) form;
            Object attribute = fo.getProbeAttributeList();

            LinkedList selectedProbeAttributeList = null;
            if (request.getSession().getAttribute("selectedProbeAttributeList") == null) {
                selectedProbeAttributeList = new LinkedList();
            } else {
                selectedProbeAttributeList = (LinkedList) request.getSession().getAttribute("selectedProbeAttributeList");
            }
            selectedProbeAttributeList.add(attribute.toString());
            request.getSession().setAttribute("selectedProbeAttributeList", selectedProbeAttributeList);


//            request.getSession().setAttribute("attribute", attribute.toString());
//             request.getSession().setAttribute("selectedProbeAttributeList", attribute.toString());
            System.out.println("going to forward");
            return mapping.findForward("success");
        }

        if (request.getParameter("ok").equals("Show Chart")) {
            System.out.println("Showing chart");
            SelectProbeForm fo = (SelectProbeForm) form;
            String[] toDelete = fo.getProbeToDelete();
            if (toDelete != null && toDelete.length > 0) {
                for (int i = 0; i < toDelete.length; i++) {
                    String s = toDelete[i];
                    System.out.println("class : " + request.getSession().getAttribute("selectedProbeList").getClass());
                    LinkedList pro = (LinkedList) request.getSession().getAttribute("selectedProbeList");
                    int found = pro.indexOf(s);
                    if (found >= 0) {
                        LinkedList ats = (LinkedList) request.getSession().getAttribute("selectedProbeAttributeList");
                        if (pro.size() == ats.size()) {
                            pro.remove(found);
                            ats.remove(found);
                            request.getSession().setAttribute("selectedProbeAttributeList", ats);
                            request.getSession().setAttribute("selectedProbeList", pro);
                        }
                    }
                }
            }

            String time = fo.getBeginTime();
            System.out.println("Time : " + time);
            Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");
            Date beginData = null;
            try {
                beginData = (Date) formatter.parseObject(time);
            } catch (ParseException e) {
                System.out.println("Error : invalide data format");
            }
            if (beginData != null) {
                request.getSession().setAttribute("begintime", Long.toString(beginData.getTime()));
            } else {
                request.getSession().removeAttribute("begintime");
            }


            return mapping.findForward("showMultiChart");
        }

        return mapping.findForward("failure");
    }


}
