/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.chartRule;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;

/**
 *
 * SelectRuleAttributeAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectRuleAttributeAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {


        System.out.println("Property : " + request.getParameter("ok"));


        if (request.getParameter("ok") == null) {
            try {
                Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
                DBManager dbManager = null;
                if (handle == null) {
                    dbManager = this.createDBManager();
                    if (dbManager == null) {
                        return mapping.findForward("failure");
                    }
                    request.getSession().setAttribute("dbmanager", dbManager.getHandle());

                } else {
                    dbManager = (DBManager) handle.getEJBObject();
                }

                Collection rules = dbManager.findRule();
                request.getSession().setAttribute("listRule", rules);

                return mapping.findForward("success");
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        if (request.getParameter("ok").equals("Rule Selected")) {
            try {
                Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
                DBManager dbManager = null;
                if (handle == null) {
                    dbManager = this.createDBManager();
                    if (dbManager == null) {
                        return mapping.findForward("failure");
                    }
                    request.getSession().setAttribute("dbmanager", dbManager.getHandle());

                } else {
                    dbManager = (DBManager) handle.getEJBObject();
                }

                SelectRuleAttributeForm fo = (SelectRuleAttributeForm) form;
                Object rule = fo.getRuleList();
                if (rule != null) {
                    Collection rAttributes = dbManager.findAttributesForARule(rule.toString());
                    request.getSession().setAttribute("ruleAttributes", rAttributes);
                    request.getSession().setAttribute("ruleIdentifier", rule.toString());
                    return mapping.findForward("success");
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        if (request.getParameter("ok").equals("Attribute Selected")) {
            SelectRuleAttributeForm fo = (SelectRuleAttributeForm) form;
            Object attribute = fo.getAttributeList();
            String beginTime = fo.getBeginTime();
            Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");
            Date beginDate = null;
            try {
                beginDate = (Date) formatter.parseObject(beginTime);
            } catch (ParseException e) {
                System.out.println("Error : invalide data format");
            }


            request.getSession().setAttribute("begintime", Long.toString(beginDate.getTime()));
            request.getSession().setAttribute("ruleSet", "r1");
            request.getSession().setAttribute("attribute", attribute.toString());
            System.out.println("going to forward");
            return mapping.findForward("showChart");
        }


        return mapping.findForward("failure");


    }

}
