/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.cleanDB;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.dbConnection.session.DBManager;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.rmi.RemoteException;
import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * CleanDBPeriodAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class CleanDBPeriodAction  extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        try {
            Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
            DBManager dbManager = null;
            if (handle == null) {
                dbManager = this.createDBManager();
                if (dbManager == null) {
                    return mapping.findForward("failure");
                }
                request.getSession().setAttribute("dbmanager", dbManager.getHandle());

            } else {
                dbManager = (DBManager) handle.getEJBObject();
            }

            CleanDBPeriodForm cdbpf = (CleanDBPeriodForm)form;
            Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");
            Date start = null;
            Date stop = null;
            if ((cdbpf.getFromDate()!=null) && !(cdbpf.getFromDate().equals(""))){
                try {
                    start = (Date) formatter.parseObject(cdbpf.getFromDate());
                } catch (ParseException e) {
                    System.out.println("Error : invalide data format cdbpf.getFromDate()");
                }
            }else{
              start = new Date(0);
            }

            if ((cdbpf.getToDate()!=null) && !(cdbpf.getToDate().equals(""))){
            try {
                    stop = (Date) formatter.parseObject(cdbpf.getToDate());
                } catch (ParseException e) {
                    System.out.println("Error : invalide data format cdbpf.getToDate()");
                }
            }else{
                stop = new Date();
            }

            dbManager.clearTimePeriod(start.getTime(),stop.getTime());

            return mapping.findForward("success");
        } catch (RemoteException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }

        return mapping.findForward("failure");
    }
}
