/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.cleanDB;

import org.objectweb.jimys.webapp.base.BaseForm;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionError;

import javax.servlet.http.HttpServletRequest;
import java.text.Format;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * CleanDBPeriodForm
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class CleanDBPeriodForm extends BaseForm {

    private String fromDate;
    private String toDate;

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

     public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors ae = new ActionErrors();

            if (!isBlank(getToDate())) {
                if (!isValidDate(getToDate())) {
                    ae.add("error.jimys.db.cleanup.wrong.date", new ActionError("error.jimys.db.cleanup.wrong.date"));
                }
            } else {
                ae.add("error.jimys.db.cleanup.wrong.date", new ActionError("error.jimys.db.cleanup.wrong.date"));
            }

            if (!isBlank(getFromDate())) {
                if (!isValidDate(getFromDate())) {
                    ae.add("error.jimys.db.cleanup.wrong.date", new ActionError("error.jimys.db.cleanup.wrong.date"));
                }
            }

        return ae;
    }

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        fromDate ="";
        Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");
        toDate=formatter.format(new Date());
    }
}
