/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.clusterStatus;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.util.LabelValueBean;
import org.objectweb.jimys.ads.adengine.web.EngineWeb;
import org.objectweb.jimys.webapp.base.BaseForm;
import org.objectweb.jimys.commons.configuration.Configuration;
import org.objectweb.jimys.commons.level.LevelHelper;

import javax.ejb.Handle;
import javax.servlet.http.HttpServletRequest;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Iterator;

/**
 *
 * ClusterStatusForm
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ClusterStatusForm extends BaseForm {
    private String clusterName = null;
    private String selectedLevel = null;

    public String getClusterName() {
        return clusterName;
    }

    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    public String getSelectedLevel() {
        return selectedLevel;
    }

    public void setSelectedLevel(String selectedLevel) {
        this.selectedLevel = selectedLevel;
    }

    public Collection getLevels() {
        Collection list = new ArrayList();
        Collection col = LevelHelper.getLevels();
        for (Iterator iterator = col.iterator(); iterator.hasNext();) {
            String s = (String) iterator.next();
            list.add(new LabelValueBean(s, s));
        }

        return list;
    }

     public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors ae = new ActionErrors();
        if (isBlank(getClusterName())) {
                ae.add("error.jimys.monitoring.cluster.status.wrong.name", new ActionError("error.jimys.monitoring.cluster.status.wrong.name"));
            }
        return ae;
    }


    public void reset(ActionMapping mapping, HttpServletRequest request) {
        Handle handle = (Handle) request.getSession().getAttribute("engineweb");

        EngineWeb ew = null;
        try {
            if (handle == null) {
                ew = this.createEngineWeb();
                if (ew != null) {
                    request.getSession().setAttribute("engineweb", ew.getHandle());
                }
            } else {
                ew = (EngineWeb) handle.getEJBObject();

            }
        } catch (RemoteException e) {
            e.printStackTrace();
        }
        if (ew != null) {
            try {
                Configuration c = ew.getConfiguration();
                Hashtable values = c.getValues();
                if (values.containsKey("clustername")) {
                    clusterName = (String) values.get("clustername");
                } else {
                    clusterName = "";
                }
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            clusterName = "";
        }
    }

}
