/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.liveCheck;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.ads.mediator.web.MediatorWeb;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.StringWriter;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 *
 * LiveCheckAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class LiveCheckAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

            try {
                Handle handle = (Handle) request.getSession().getAttribute("mediator");
                MediatorWeb mediator = null;
                if (handle == null) {
                    mediator = this.createMediator();
                    if (mediator == null) {
                        return mapping.findForward("failure");
                    }
                    request.getSession().setAttribute("mediator", mediator.getHandle());
                } else {
                    mediator = (MediatorWeb) handle.getEJBObject();
                }

                Collection checkCluster = mediator.checkCluster();

                // HTML Adaption
                Collection htmlCheckCluster = new ArrayList();
                for (Iterator iterator = checkCluster.iterator(); iterator.hasNext();) {
                    String xmlString = (String) iterator.next();
                    String output = getHtmlClusterStatus(request, xmlString);
                    htmlCheckCluster.add(output);
                }

                request.getSession().setAttribute("liveStatus", htmlCheckCluster);
                request.getSession().setAttribute("connectedPumps", mediator.getConnectedPumps());

            } catch (RemoteException e) {
                e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            }


        return mapping.findForward("success");
    }

    private String getHtmlClusterStatus(HttpServletRequest request, String xmlString) {
        String resultString = null;
        try {

            TransformerFactory tFactory = TransformerFactory.newInstance();
            InputStream iis = request.getSession().getServletContext().getResourceAsStream("liveStatus.xsl");

            Transformer transformer = tFactory.newTransformer(new javax.xml.transform.stream.StreamSource(iis));
            StringWriter sw = new StringWriter();
            StreamResult result = new StreamResult(sw);

            InputStream is = new ByteArrayInputStream(xmlString.getBytes());

            transformer.transform(new javax.xml.transform.stream.StreamSource(is), result);

            resultString = sw.toString();
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return resultString;
    }
}
