/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.monitorRule;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.objectweb.jimys.dbConnection.valueObjects.ResultValueObject;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 *
 * MonitorRuleAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class MonitorRuleAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        System.out.println("Monitor rule action");

        String rulename = request.getParameter("rulename");
        if (rulename == null) {
            if (request.getSession().getAttribute("rulename") != null) {
                rulename = request.getSession().getAttribute("rulename").toString();
            }
        }
        String ruleset = request.getParameter("ruleset");
        if (ruleset == null) {
            if (request.getSession().getAttribute("ruleset") != null) {
                ruleset = request.getSession().getAttribute("ruleset").toString();
            }
        }
        String begintime = request.getParameter("beginTime");
        if (begintime == null) {
            if (request.getSession().getAttribute("beginTime") != null) {
                begintime = request.getSession().getAttribute("beginTime").toString();
            }
        }

        if ((request.getParameter("resultID") != null) && (request.getSession().getAttribute("resultRules") != null)) {
            Collection results = (Collection) request.getSession().getAttribute("resultRules");
            Collection probes = new ArrayList();
            for (Iterator iterator = results.iterator(); iterator.hasNext();) {
                ResultValueObject resultValueObject = (ResultValueObject) iterator.next();
                if (resultValueObject.getId().equals(request.getParameter("resultID"))) {
                    probes = resultValueObject.getResultProbes();
                    break;
                }
            }
            request.getSession().setAttribute("monitoredruleProbes", probes);
            return mapping.findForward("monitorResultDetail");
        }


        if ((rulename != null) && (ruleset != null)) {
            System.out.println("Condition ok");


            try {
                Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
                DBManager dbManager = null;
                if (handle == null) {
                    dbManager = this.createDBManager();
                    request.getSession().setAttribute("dbmanager", dbManager.getHandle());

                } else {
                    dbManager = (DBManager) handle.getEJBObject();
                }

                Collection col = null;
                if (begintime != null) {
                    col = dbManager.monitorRule(ruleset, rulename, begintime);

                } else {
                    col = dbManager.monitorRule(ruleset, rulename);
                }

                request.getSession().setAttribute("resultRules", col);
                System.out.println("Finished receiving data on monitored rule");
                return mapping.findForward("success");
            } catch (RemoteException e) {
                e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
            }


        }

        return mapping.findForward("error");
    }

}
