/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.multipleChart;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Iterator;
import java.util.LinkedList;

/**
 *
 * RemoveProbeAttributeAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class RemoveProbeAttributeAction extends BaseAction {

    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
        DBManager dbManager = null;
        if (handle == null) {
            dbManager = this.createDBManager();
            if (dbManager == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("dbmanager", dbManager.getHandle());

        } else {
            dbManager = (DBManager) handle.getEJBObject();
        }

        RemoveProbeAttributeForm rpaf = (RemoveProbeAttributeForm) form;

        LinkedList selectedProbeList = (LinkedList) request.getSession().getAttribute("selectedProbeList"+rpaf.getChartNumber());
        LinkedList selectedProbeAttributeList = (LinkedList) request.getSession().getAttribute("selectedProbeAttributeList"+rpaf.getChartNumber());


        Iterator ip = selectedProbeList.iterator();
        Iterator ia = selectedProbeAttributeList.iterator();
        while(ip.hasNext() && ia.hasNext()){
            String probe = (String)ip.next();
            String att = (String)ia.next();
            if (probe.equals(rpaf.getProbeName()) && att.equals(rpaf.getAttributeName())){
                ip.remove();
                ia.remove();
            }
        }
        if (selectedProbeAttributeList.size() == 0 && selectedProbeList.size() == 0){
            request.getSession().removeAttribute("selectedProbeList"+rpaf.getChartNumber());
            request.getSession().removeAttribute("selectedProbeAttributeList"+rpaf.getChartNumber());
        }else{
            request.getSession().setAttribute("selectedProbeList"+rpaf.getChartNumber(), selectedProbeList);
            request.getSession().setAttribute("selectedProbeAttributeList"+rpaf.getChartNumber(), selectedProbeAttributeList);
        }
        return mapping.findForward("success");
    }

}
