/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.multipleChart;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.*;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Iterator;
import java.util.LinkedList;

/**
 *
 * SelectMultipleAttributeAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectMultipleAttributeAction extends BaseAction {

    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
        DBManager dbManager = null;
        if (handle == null) {
            dbManager = this.createDBManager();
            if (dbManager == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("dbmanager", dbManager.getHandle());

        } else {
            dbManager = (DBManager) handle.getEJBObject();
        }

        SelectMultipleAttributeForm smaf = (SelectMultipleAttributeForm) form;

        LinkedList selectedProbeList = null;
        if (request.getSession().getAttribute("selectedProbeList"+smaf.getChartNumber()) == null) {
            selectedProbeList = new LinkedList();
        } else {
            selectedProbeList = (LinkedList) request.getSession().getAttribute("selectedProbeList"+smaf.getChartNumber());
        }


        LinkedList selectedProbeAttributeList = null;
        if (request.getSession().getAttribute("selectedProbeAttributeList"+smaf.getChartNumber()) == null) {
            selectedProbeAttributeList = new LinkedList();
        } else {
            selectedProbeAttributeList = (LinkedList) request.getSession().getAttribute("selectedProbeAttributeList"+smaf.getChartNumber());
        }

        Iterator ip = selectedProbeList.iterator();
        Iterator ia = selectedProbeAttributeList.iterator();
        boolean add = true;
        while(ip.hasNext() && ia.hasNext()){
            String probe = (String)ip.next();
            String att = (String)ia.next();
            if (probe.equals(smaf.getProbeName()) && att.equals(smaf.getAttributeName())){
                add =false;
            }
        }
        if(add){
            selectedProbeList.add(smaf.getProbeName());
            selectedProbeAttributeList.add(smaf.getAttributeName());
            request.getSession().setAttribute("selectedProbeList"+smaf.getChartNumber(), selectedProbeList);
            request.getSession().setAttribute("selectedProbeAttributeList"+smaf.getChartNumber(), selectedProbeAttributeList);
        }else{
            ActionErrors errors = new ActionErrors();
            errors.add("error.jimys.monitoring.probe.attribute.one.time", new ActionError("error.jimys.monitoring.probe.attribute.one.time"));
            this.saveErrors(request, errors);
        }
        return mapping.findForward("success");
    }

}