/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.ruleChart;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Collection;

/**
 *
 * SelectRuleAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectRuleAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
        DBManager dbManager = null;
        if (handle == null) {
            dbManager = this.createDBManager();
            if (dbManager == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("dbmanager", dbManager.getHandle());

        } else {
            dbManager = (DBManager) handle.getEJBObject();
        }

        SelectRuleForm srf = (SelectRuleForm)form;
        Collection attributes = dbManager.findAttributesForARule(srf.getRuleName());
        request.getSession().removeAttribute("ruleAttributeList0");
        request.getSession().removeAttribute("ruleAttributeList1");
        request.getSession().removeAttribute("ruleAttributeList2");
        request.getSession().removeAttribute("ruleAttributeList3");

        request.getSession().setAttribute("ruleAttributeList"+srf.getChartNumber(), attributes);
        request.getSession().setAttribute("ruleName"+srf.getChartNumber(),srf.getRuleName());
        //request.getSession().setAttribute("probeIdentifier", rule.toString());
        return mapping.findForward("success");

    }
}
