/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.ruleChart;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.apache.struts.action.*;
import org.objectweb.jimys.webapp.base.BaseAction;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * SelectRuleChartAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectRuleChartAction extends BaseAction {

    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {

        Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
        DBManager dbManager = null;
        if (handle == null) {
            dbManager = this.createDBManager();
            if (dbManager == null) {
                return mapping.findForward("failure");
            }
            request.getSession().setAttribute("dbmanager", dbManager.getHandle());

        } else {
            dbManager = (DBManager) handle.getEJBObject();
        }


        SelectRuleChartForm srca = (SelectRuleChartForm)form ;


        String beginTime = srca.getBeginTime();
        System.out.println("beginTime = " + beginTime);
        Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");
        Date beginDate = null;
        if (beginTime!=null){
            try {
                beginDate = (Date) formatter.parseObject(beginTime);
                request.getSession().setAttribute("ruleBegintime",(new Long(beginDate.getTime())).toString());
            } catch (ParseException e) {
                System.out.println("Error : invalide data format");
                ActionErrors errors = new ActionErrors();
                errors.add("error.jimys.monitoring.rule.wrong.date", new ActionError("error.jimys.monitoring.rule.wrong.date"));
                this.saveErrors(request, errors);
                return mapping.findForward("failure");
            }
        }
        return mapping.findForward("success");
    }

}