/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.showAlarms;

import org.objectweb.jimys.dbConnection.session.DBManager;
import org.objectweb.jimys.dbConnection.valueObjects.ResultValueObject;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jimys.webapp.base.BaseAction;
import org.objectweb.jimys.commons.level.LevelHelper;

import javax.ejb.Handle;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 *
 * ShowAlarmsAction
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ShowAlarmsAction extends BaseAction {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {
        System.out.println("Show alarms");
        try {
            Handle handle = (Handle) request.getSession().getAttribute("dbmanager");
            DBManager dbManager = null;
            if (handle == null) {
                dbManager = this.createDBManager();
                request.getSession().setAttribute("dbmanager", dbManager.getHandle());

            } else {
                dbManager = (DBManager) handle.getEJBObject();
            }

        if ((request.getParameter("resultID") != null) && (request.getSession().getAttribute("result") != null)) {
            Collection results = (Collection) request.getSession().getAttribute("result");
            Collection result = new ArrayList();
            for (Iterator iterator = results.iterator(); iterator.hasNext();) {
                ResultValueObject resultValueObject = (ResultValueObject) iterator.next();
                if (resultValueObject.getId().equals(request.getParameter("resultID"))) {
                    //result = resultValueObject.getResultProbes();
                    ResultValueObject rvo = dbManager.loadProbes(resultValueObject);
                    result = rvo.getResultProbes();
                    break;
                }
            }
            request.getSession().setAttribute("resultProbeValues", result);
            return mapping.findForward("successDetail");
        }




            Collection col = dbManager.findAllResultsWithLevel(LevelHelper.ALERT);
            request.getSession().setAttribute("result", col);
            return mapping.findForward("success");
        } catch (RemoteException e) {
            e.printStackTrace();
        }


        return mapping.findForward("failure");
    }

}
