/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.admin.examples;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Properties;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.webapp.common.BeanComparator;
import org.objectweb.jonas.webapp.common.CommonBaseAction;

/**
 * @author Michel-Ange ANTON
 */

public class ListJvmPropertiesAction extends CommonBaseAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
        , HttpServletRequest p_Request, HttpServletResponse p_Response)
        throws Exception {

        String sName;
        ArrayList oList = new ArrayList();

        Properties oProps = System.getProperties();
        Enumeration enum = oProps.propertyNames();
        while (true == enum.hasMoreElements()) {
            sName = enum.nextElement().toString();
            oList.add(new PropertyItem(sName, oProps.getProperty(sName)));
        }
        // Default sort (by name)
        Collections.sort(oList, new BeanComparator());
        p_Request.setAttribute("listJvmProperties", oList);

        // Forward to the jsp.
        return (p_Mapping.findForward("Jvm Properties"));
    }

}
