/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.admin.examples;

import org.objectweb.jonas.webapp.common.NameItem;

/**
 * @author  Michel-Ange ANTON
 */

public class PropertyItem implements NameItem {

    private final static int SIZE_CUT_NAME = 50;

    private String name = null;
    private String value = null;
    private String shortName = null;

    public PropertyItem(String p_Name, String p_Value) {
        setName(p_Name);
        setValue(p_Value);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
        if (SIZE_CUT_NAME < this.name.length()) {
            shortName = this.name.substring(0, SIZE_CUT_NAME) + "...";
        }
        else {
            shortName = this.name;
        }
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getShortName() {
        return shortName;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("[").append(getName()).append(", ").append(getValue()).append("]").append(", ").
            append(getShortName());
        return sb.toString();
    }

}