/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.admin.examples;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.webapp.common.CommonBaseAction;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Enumeration;
import java.util.Properties;

/**
 * @author Michel-Ange ANTON
 */

public class ViewServerAction extends CommonBaseAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
        , HttpServletRequest p_Request, HttpServletResponse p_Response)
        throws Exception {

        // Force to select the node in tree
        m_WhereAreYou.selectNameNode("serverNode", true);

        // Put the system properties in the request to be used by a JSP
        putSystemPropertiesRequest(p_Request);

        // Forward to the jsp.
        return (p_Mapping.findForward("Server"));
    }

    /**
     * Put the system properties in the request to be used by a JSP.
     */
    protected void putSystemPropertiesRequest(HttpServletRequest p_Request) {

        String sName;
        StringMapped oMap = new StringMapped();

        Properties oProps = System.getProperties();
        Enumeration enum = oProps.propertyNames();
        while (true == enum.hasMoreElements()) {
            sName = enum.nextElement().toString();
            oMap.setMapped(sName, oProps.getProperty(sName));
        }
        p_Request.setAttribute("systemProperties", oMap);

    }

}
