/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.admin.security.memory;

import java.io.IOException;

import javax.management.ObjectName;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.objectweb.jonas.webapp.admin.security.JonasObjectName;
import org.objectweb.jonas.webapp.common.WebappContextSession;

/**
 * @author Michel-Ange ANTON
 */

public class ApplyMemoryRealmAction extends BaseMemoryRealmAction {

// --------------------------------------------------------- Public Methods

    public ActionForward executeAction(ActionMapping p_Mapping, ActionForm p_Form
        , HttpServletRequest p_Request, HttpServletResponse p_Response)
        throws IOException, ServletException {

        // Form used
        MemoryRealmForm oForm = (MemoryRealmForm) p_Form;

        // Populate MBean
        try {
            // Create new
            if (oForm.getAction().equals("create") == true) {
                oForm.setResource(oForm.getName());
                // Add resource
                ObjectName oObjectName = JonasObjectName.securityService();
                String[] asParam = {
                    oForm.getName()};
                String[] asSignature = {
                    "java.lang.String"};
                getMBeanServer().invoke(oObjectName, "addJResourceMemory", asParam, asSignature);
                // refresh tree
                refreshTree();
                // Force the node selected in tree
                m_WhereAreYou.selectNameNode("security" + WebappContextSession.NODE_SEPARATOR
                    + "factory.memory" + WebappContextSession.NODE_SEPARATOR + oForm.getName(), true);
                // To modify the form
                oForm.setAction("apply");
            }
            // Save
            if (oForm.isSave()) {
                ObjectName onRealm = JonasObjectName.securityMemoryFactory(oForm.getResource());
                getMBeanServer().invoke(onRealm, "saveConfig", null, null);
            }
        }
        catch (Throwable t) {
            addGlobalError(t);
            saveErrors(p_Request, m_Errors);
            return (p_Mapping.findForward("Global Error"));
        }
        // Forward to the jsp.
        return (p_Mapping.findForward("Memory Realm"));
    }

// --------------------------------------------------------- Protected Methods

}
