package org.objectweb.jonas.webapp.common;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.StringTokenizer;

/**
 * General purpose utility methods to modify or transform lists of objects .
 *
 * @author Michel-Ange ANTON
 */

public class ListUtils {

// --------------------------------------------------------- Constants

    public final static String SEPARATOR = ",";

// ----------------------------------------------------------- Constructors

    /**
     * Protected constructor to prevent instantiation.
     */
    protected ListUtils() {}

    /**
     * Transform the collection like a string, each element are separated by the separator.
     *
     * @param p_Collection The collection to transform
     * @param p_Separator The separator
     * @return The collection string
     */
    public static String getString(Collection p_Collection, String p_Separator) {
        StringBuffer sb = new StringBuffer();
        Iterator it = p_Collection.iterator();
        while (it.hasNext()) {
            sb.append(it.next());
            if (it.hasNext()) {
                sb.append(p_Separator);
            }
        }
        return sb.toString();
    }

    /**
     * Transform the string like a ArrayString, each element are separated by the separator.
     *
     * @param p_String
     * @param p_Separator The separator
     * @return The list
     */
    public static ArrayList getArrayList(String p_String, String p_Separator) {
        ArrayList al = new ArrayList();
        StringTokenizer st = new StringTokenizer(p_String, p_Separator);
        while (st.hasMoreTokens()) {
            al.add(st.nextToken().trim());
        }
        return al;
    }
}
